include/cutlass/gemm/gemm.h File Reference

Defines common types used for all GEMM-like operators. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/coord.h"`
Include dependency graph for include/cutlass/gemm/gemm.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cutlass::gemm::GemmShape< M, N, K >
| Shape of a matrix multiply-add operation. More...
struct | cutlass::gemm::GemmCoord
struct | cutlass::gemm::BatchedGemmCoord

## Namespaces

| cutlass
| cutlass::gemm

## Typedefs

template<typename Shape >
using | cutlass::gemm::GemmShapeTranspose = GemmShape< Shape::kN, Shape::kM, Shape::kK >
| Type alias of the transpose of a GemmShape. More...

## Enumerations

enum | cutlass::gemm::Operand { cutlass::gemm::Operand::kA, cutlass::gemm::Operand::kB, cutlass::gemm::Operand::kC, cutlass::gemm::Operand::kD }
| GEMM operand enumeration: D = A * B + C. More...